--
-- UniaFamarol
-- Autor Lechu & Teufel
-- 
-- 

UniaFamarol = {};

function UniaFamarol.prerequisitesPresent(specializations)
	return true;
end;

function UniaFamarol:load(xmlFile)

end;

function UniaFamarol:delete()
end;

function UniaFamarol:keyEvent(unicode, sym, modifier, isDown)
end;
	
function UniaFamarol:update(dt)

	if self:getIsActiveForInput(false) then
	 	if InputBinding.isPressed(InputBinding.packgora) then
               self:setAnimationTime(1, self.animationParts[1].currentPosition+(self.animationParts[1].offSet+dt), false);
           elseif InputBinding.isPressed(InputBinding.packdol) then
               self:setAnimationTime(1, self.animationParts[1].currentPosition-(self.animationParts[1].offSet+dt), false);
        end;
    end;
	
end;	

function UniaFamarol:mouseEvent(posX, posY, isDown, isUp, button)
end;

function UniaFamarol:validateAttacherJoint(implement, jointDesc, dt) 
	return true; 
end; 

function UniaFamarol:draw()

    g_currentMission:addHelpButtonText(g_i18n:getText("packgora"), InputBinding.packgora)
	g_currentMission:addHelpButtonText(g_i18n:getText("packdol"), InputBinding.packdol)

end;